Subject: Re: [PATCH] update-hook: remove all functionality that should be in hooks/post-receive

From: Theodore Tso <[email-masked]>
Date: Sat, 24 Mar 2007 10:21:04 -0400

On Sat, Mar 24, 2007 at 03:41:30AM -0700, Junio C Hamano wrote:
> While I think it would be great to have a central clearinghouse
> for people to share and enjoy useful hook collections for
> various workflows and use cases, I do not necessarily think
> inside git.git project itself is the best place to do so.

What are your concernswith having a set of useful hook collections in
contrib/hooks, which get installed in /usr/share/git/hooks, or some
such?  The nice of doing this is that various distro packages will
have the hooks installed in standardized places, which means that it
becomes easier for people distribute receipes on how to enable various
advanced bits of functionality by using 'ln -s /usr/share/git/hooks/FOO
.git/hooks/BAR', and it's standardized across distributions.

						- Ted